Subject: Re: [PATCH] Rename warn() to warning() to fix symbol conflicts on BSD and Mac OS

From: [email-masked] (Randal L. Schwartz)
Date: Sat, 31 Mar 2007 07:48:35 -0700

>>>>> "Junio" == Junio C Hamano <[email-masked]> writes:

Junio> I'd take this for now, but I wonder where we should stop.  If
Junio> somebody exports error() or die(), would we end up renaming them
Junio> to git_error() and git_die()?

I realize you may see it as a slippery slope, but I haven't heard anything
else reported yet, and git has already been ported quite a bit.  But since C
has a flat namespace, this will always be a problem.

Picking a name like warn(3) was probably dumb on bsd's part, but it *is* a
generic call like perror(3).

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Perl/Unix/security consulting, Technical writing, Comedy, etc. etc.
See PerlTraining.Stonehenge.com for onsite and open-enrollment Perl training!